package cc.winboll.studio.winboll.activities;

/**
 * @Author ZhanGSKen<zhangsken@qq.com>
 * @Date 2025/05/10 09:48
 * @Describe WinBoLL 窗口基础类
 */
import android.app.Activity;
import android.os.Bundle;
import android.view.MenuItem;
import androidx.appcompat.app.AppCompatActivity;
import cc.winboll.studio.libappbase.LogUtils;

public class WinBoLLActivity extends AppCompatActivity {

    public static final String TAG = "WinBoLLActivity";

    @Override
    protected void onResume() {
        super.onResume();
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        /*if (item.getItemId() == R.id.item_log) {
            WinBoLLActivityManager.getInstance().startLogActivity(this);
            return true;
        } else if (item.getItemId() == R.id.item_home) {
			startActivity(new Intent(this, MainActivity.class));
            return true;
        }*/
        // 在switch语句中处理每个ID，并在处理完后返回true，未处理的情况返回false。
        return super.onOptionsItemSelected(item);
    }

    @Override
    protected void onPostCreate(Bundle savedInstanceState) {
        super.onPostCreate(savedInstanceState);
        //WinBoLLActivityManager.getInstance().add(this);
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        //WinBoLLActivityManager.getInstance().registeRemove(this);
    }
}
